
From: Jesper Juhl <juhl-lkml@dif.dk>

Tiny patch that cuts down the nr of assignments to 'ret'.

Signed-off-by: Jesper Juhl <jesper.juhl@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/compat.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN fs/compat.c~fs_compat-tiny-cleanup-retvalpatch fs/compat.c
--- 25/fs/compat.c~fs_compat-tiny-cleanup-retvalpatch	2005-03-06 20:55:33.000000000 -0800
+++ 25-akpm/fs/compat.c	2005-03-06 20:55:33.000000000 -0800
@@ -1626,7 +1626,7 @@ compat_sys_select(int n, compat_ulong_t 
 	fd_set_bits fds;
 	char *bits;
 	long timeout;
-	int ret, size, max_fdset;
+	int size, max_fdset, ret = -EINVAL;
 
 	timeout = MAX_SCHEDULE_TIMEOUT;
 	if (tvp) {
@@ -1639,7 +1639,6 @@ compat_sys_select(int n, compat_ulong_t 
 			goto out_nofds;
 		}
 
-		ret = -EINVAL;
 		if (sec < 0 || usec < 0)
 			goto out_nofds;
 
@@ -1649,7 +1648,6 @@ compat_sys_select(int n, compat_ulong_t 
 		}
 	}
 
-	ret = -EINVAL;
 	if (n < 0)
 		goto out_nofds;
 
_
